For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunitySign Up
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
    • Introduction
  • REST Call Control
  • REST Platform Management
      • GETretrieve all speech credentials for an account
      • POSTadd a speech credential
      • GETget a specific speech credential
      • PUTupdate a speech credential
      • DELdelete a speech credential
      • GETget supported languages, voices and models
      • GETtest a speech credential
      • POSTget TTS from provider
      • GETlist google custom voices
      • POSTcreate a Google custom voice
      • GETretrieve google custom voice
      • PUTupdate google custom voice
      • DELdelete a google custom voice
      • POSTcreate a speech credential for a service provider
      • GETget a specific speech credential
      • PUTupdate a speech credential
      • DELdelete a speech credential
      • GETget supported languages, voices and models
      • GETtest a speech credential
  • Webhooks
    • GETNew Call
    • POSTNew Call
    • POSTClient Authentication
    • POSTNew Client Tool Request
  • Websocket API
LogoLogo
CommunitySign Up
REST Platform ManagementSpeech

create a speech credential for a service provider

POST
https://api.jambonz.cloud/v1/ServiceProviders/:ServiceProviderSid/SpeechCredentials
POST
/v1/ServiceProviders/:ServiceProviderSid/SpeechCredentials
$curl -X POST https://api.jambonz.cloud/v1/ServiceProviders/ServiceProviderSid/SpeechCredentials \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "sid": "9d26a637-1679-471f-8da8-7150266e1254"
3}
<Error>This endpoint is only availble with an Admin or Service Provider API key</Error>
Was this page helpful?
Previous

get a specific speech credential

Next
Built with
This endpoint is only availble with an Admin or Service Provider API key

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

ServiceProviderSidstringRequired

Request

This endpoint expects an object.
speech_credential_sidstringOptionalformat: "uuid"
account_sidstringOptionalformat: "uuid"
vendorenumOptional
Allowed values:
service_keystringOptional
access_key_idstringOptional
secret_access_keystringOptional
aws_regionstringOptional
last_usedstringOptionalformat: "date-time"
last_testedstringOptionalformat: "date-time"
use_for_ttsbooleanOptional
use_for_sttbooleanOptional
tts_tested_okbooleanOptional
stt_tested_okbooleanOptional
riva_server_uristringOptional

Response

speech credential successfully created
sidstring

Errors

404
Not Found Error